all : spn-encrypt-file spn-decrypt-file

spn-encrypt-file.o : spn-encrypt-file.c
	gcc -c spn-encrypt-file.c

spn-decrypt-file.o : spn-decrypt-file.c
	gcc -c spn-decrypt-file.c


./lib/spn.o:./lib/spn.c
	gcc -c ./lib/spn.c -o ./lib/spn.o

spn-encrypt-file : ./lib/spn.o spn-encrypt-file.o
	gcc -o spn-encrypt-file ./lib/spn.o spn-encrypt-file.o

spn-decrypt-file : ./lib/spn.o spn-decrypt-file.o
	gcc -o spn-decrypt-file ./lib/spn.o spn-decrypt-file.o
